$(document).ready(function() {


})
$("#buscinvent").on('click', function() {
    $('#tablainvent tr').remove();
    var producto = $("#businve").val();
    let ubicacion=document.getElementById("ubicaciones").value;

    if (producto == "") {
        let pregunt = confirm("Se listaran todos los productos con inventario, esto puede tardar unos minutos");

        if (pregunt) {
            let pregunt1 = confirm("Incluir producto Sin inventario");
            if(pregunt1){
                mostrarproductos(producto,ubicacion,1);
            }else{
                mostrarproductos(producto,ubicacion);
            }
            
        }
    } else {
        mostrarproductos(producto);

    }


});

$("#businve").keypress(function(e) {

    if (e.which == 13) {
        $('#tablainvent tr').remove();
        let ubicacion=document.getElementById("ubicaciones").value;

        
        var producto = $("#businve").val();
        if (producto == "") {
            var pregunt = confirm("Se listaran todos los productos con inventario, esto puede tardar unos minutos");

            if (pregunt) {
                mostrarproductos(producto,ubicacion);
            }
        } else {
            mostrarproductos(producto);

        }

    }

});





function mostrarproductos(producto,ubicacion="sin",productosCero=0) {
console.log(ubicacion)
    let bodega = document.getElementById("idbodegas").value;
let EstadoPro=document.getElementById("EstadoPro").value;
  

    $.ajax({
        data: { "producto": producto, "bodega": bodega,"ubicacionB":ubicacion,"productosCero":productosCero,"enceros":true}, //datos que se envian a traves de ajax
        url: "../controlador/config/productos.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        beforeSend: function() {
            $('#modalcarga').modal('show');

        },

        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
            $('#salirrr').click();
            //  console.log(response)

            //$("#resultado").html(response);
            var respuest = JSON.parse(response);

            $.each(respuest, function(index, respuesta) {

                let costoc = 0;
                let costof =0;
                let utilic = 0;
                let utilif =0;
                          
                let ventaca = 0;
                let ventafr = 0;


                var codigo = respuesta["codigo"];
                var nombre = respuesta["nombre"];
                var barras = respuesta["barras"];

                var inventario = respuesta["inventario"];
                var factor = respuesta["factor"];
                var invetariofrcc = Math.round(factor * inventario);

                
            if(unasolaListaPrecio==1 || unasolaListaPrecio=="1" )
            {
                // costoc = respuesta["CostoCajaP"];
                // costof = respuesta["CostoFrccP"];
                costoc = respuesta["costocaja"];
                costof = respuesta["costofrcc"];

                ventaca = respuesta["VentaCajaP"];
                ventafr = respuesta["VentaFrccP"];
               
                utilic = respuesta["UtilidadCajaP"];
                utilif = respuesta["UtilidadFrccP"];
               
                if(costoc==0 || costoc =="0" || costoc==""){
                    costoc = respuesta["CostoCajaP"];
                }
                if(costof==0 || costof =="0" || costof==""){
                    costof = respuesta["CostoFrccP"];
                }
                if(ventaca==0 || ventaca =="0" || ventaca==""){
                    ventaca = respuesta["VentaCaja"];
                }
                if(ventafr==0 || ventafr =="0" || ventafr==""){
                    ventafr = respuesta["VentaFrcc"];
                }
               
                if(utilic==0 || utilic =="0" || utilic==""){
                    utilic = respuesta["utilidacaja"];
                }
                if(utilif==0 || utilif =="0" || utilif==""){
                    utilif = respuesta["utilidafrcc"];
                }
               
            }else{
                 costoc = respuesta["costocaja"];
                 costof = respuesta["costofrcc"];
                 utilic = respuesta["utilidacaja"];
                 utilif = respuesta["utilidafrcc"];
                // var ventaca=((costoc/100)*utilic)+ parseInt(costoc);
                // var ventafr=((costof/100)*utilif)+ parseInt(costof);
                 ventaca = respuesta["VentaCaja"];
                 ventafr = respuesta["VentaFrcc"];
            }

            if(respuesta["utilidapolit"]>0 || respuesta["utilidadpolitica"]>0){
                if(respuesta["utilidadpolitica"]>=respuesta["utilidapolit"]){
                    utilic = respuesta["utilidadpolitica"];
                    utilif = respuesta["utilidadpolitica"];
                }else{
                    utilic = respuesta["utilidapolit"];
                    utilif = respuesta["utilidapolit"];
                }
            }

            // console.log(respuesta["utilidapolit"])
            // console.log(respuesta["utilidadpolitica"])
               
                var iva = respuesta["impuesto"];
                var marca = respuesta["nommarca"];
                var catego = respuesta["nomcategoria"];
                let bodegaMo = respuesta["idbodega"];
                let  EstadoProdu=respuesta["ACTIVO"];
                let colorEstado="";
                let ocultaSativados=""
                if(EstadoProdu==0 && EstadoPro==0){
                    colorEstado="bg-warning"
                }else{
                  if(EstadoProdu==0  && EstadoPro==1)  {
                    ocultaSativados="hidden";
                  }
                }
                

                if(ActivarPermiSaliEditarprod==0){
                $("#tablainvent").append(

                    "<tr "+ocultaSativados+" class="+colorEstado +" ><td >" + codigo + "</td>  <th>" + nombre + "</th> <th>" + costoc +
                    "</th> <th>" + costof + "</th> <th>" + inventario + "</th> <th>" + ventaca + "</th> <th>" + invetariofrcc +
                    "</th> <th>" + ventafr + "</th>  <th>" + iva +
                    "</th> <th>" + utilic + "</th> <th>" + utilif +
                     "</th> <th>" + marca + "</th><th>" + catego +
                      "</th><th>" + bodegaMo +
                       "</th> <th> <input type='button' class='verprodu col-md-12 btn btn-secondary' value='Editar' id='verprodu' ></input></th>"+
                       "</th> <th> <input type='button' class=' col-md-12 btn btn-danger' value='Eliminar' id='deleprodu' ></input></th>"
                       +"</tr>"


                );

            }else{

                $("#tablainvent").append(

                    "<tr "+ocultaSativados+" class="+colorEstado +" ><td >" + codigo + "</td>  <th>" + nombre + "</th> <th>" + costoc +
                    "</th> <th>" + costof + "</th> <th>" + inventario + "</th> <th>" + ventaca + "</th> <th>" + invetariofrcc +
                    "</th> <th>" + ventafr + "</th>  <th>" + iva +
                    "</th> <th>" + utilic + "</th> <th>" + utilif +
                     "</th> <th>" + marca + "</th><th>" + catego +
                      "</th><th>" + bodegaMo +
                       "</th> <th> <input type='button' " + EditarProductos + " class='verprodu col-md-12 btn btn-secondary' value='Editar' id='verprodu' ></input></th>"+
                       "</th> <th> <input type='button' " + EditarProductos + " class=' col-md-12 btn btn-danger' value='Eliminar' id='deleprodu' ></input></th>"
                       +"</tr>"


                );


            }

            });

        }
    });
}






//funcion editar productos inventario

$(document).on("click", "#verprodu", function(e) {
    var id = $(this).parent().siblings(":first").text()
    let bodega = e.target.parentElement.parentElement.getElementsByTagName("th")[12].innerText

    if (bodega == "undefined") {
        bodega = 0;
    }

    let costoc = 0;
    let costof =0;
    let utilic = 0;
    let utilif = 0;
    let precioblister=0;
    let ventaca = 0;
    let ventafr = 0;
    let CostoPromedio=0;

    $("#guardarproduc").attr("disabled", "disabled");

    $("#editarinve").removeAttr("disabled");

    $.ajax({
        data: {
            "prod": id,
            "bodega": bodega
        }, //datos que se envian a traves de ajax
        url: "../controlador/config/productos.php", //archivo que recibe la peticion
        type: 'post', //método de envio


        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
            //$("#resultado").html(response);
            var respuest = JSON.parse(response);

            var codigo = respuest["codigo"];
            var nombre = respuest["nombre"];
            var inventario = respuest["inventario"];
            var factor = respuest["factor"];
            var barras = respuest["barras"];
            let barras2 = respuest["barras2"];
            
            let barras3=respuest["barras3"];
            var invetariofrcc = Math.round(factor * inventario);
            let CodigoOBS=respuest["CodigoOBS"];
           

            if(unasolaListaPrecio==1 || unasolaListaPrecio=="1" )
            {
                // costoc = respuest["CostoCajaP"];
                // costof = respuest["CostoFrccP"];

                costoc = respuest["costocaja"];
                costof = respuest["costofrcc"];

                ventaca = respuest["VentaCajaP"];
                ventafr = respuest["VentaFrccP"];
                precioblister=respuest["PrecioBlisterCaja"];
                utilic = respuest["UtilidadCajaP"];
                utilif = respuest["UtilidadFrccP"];
                CostoPromedio=respuest["CostoPromedioP"];
                

                if(costoc==0 || costoc =="0" || costoc==""){
                    costoc = respuest["CostoCajaP"];
                }
                if(costof==0 || costof =="0" || costof==""){
                    costof = respuest["CostoFrccP"];
                }
                if(ventaca==0 || ventaca =="0" || ventaca==""){
                    ventaca = respuest["VentaCaja"];
                }
                if(ventafr==0 || ventafr =="0" || ventafr==""){
                    ventafr = respuest["VentaFrcc"];
                }
                if(precioblister==0 || precioblister =="0" || precioblister==""){
                    precioblister = respuest["precioblister"];
                }
                if(utilic==0 || utilic =="0" || utilic==""){
                    utilic = respuest["utilidacaja"];
                }
                if(utilif==0 || utilif =="0" || utilif==""){
                    utilif = respuest["utilidafrcc"];
                }
                if(CostoPromedio==0 || CostoPromedio =="0" || CostoPromedio==""){
                    CostoPromedio = respuest["costopromediocaja"];
                }
                
            }else
            {
                 costoc = respuest["costocaja"];
                 costof = respuest["costofrcc"];
                 utilic = respuest["utilidacaja"];
                 utilif = respuest["utilidafrcc"];
                  precioblister=respuest["precioblister"];
                 ventaca = respuest["VentaCaja"];
                 ventafr = respuest["VentaFrcc"];
                  CostoPromedio=respuest["costopromediocaja"]

            }
            var marca = respuest["codmarca"];
            var categoria = respuest["codcategoria"];
            var iva = respuest["impuesto"];
            let comision = respuest["ComisionP"];
            let comision2=respuest["ComisionP2"]
            let controlinventarioAc=respuest["controlInventario"];
            let tipoproducto=respuest["tipoProducto"];

            factorblicter=respuest["factorblister"];
            
            let dte=respuest["descuentoPor"];
            let dteMaxi=respuest["dteMax"];
           

            // 
            // var ventaca = ((costoc / 100) * utilic) + parseInt(costoc);
            // var ventafr = ((costof / 100) * utilif) + parseInt(costof);

        
            var ventaca2 = respuest["VentaCaja2"];
            var ventafr2 = respuest["VentaFrcc2"];




            var marcar = respuest["nommarca"];
            var catego = respuest["nomcategoria"];
            let pabierto = respuest["pabierto"];
            let EdienvioCocina=respuest["DeCocina"];
            let ubicaciion1 = respuest["ubicacion1"];
            let ubicaciion2 = respuest["ubicacion2"];
            let invima=respuest["registroInvima"];

            let utilidadCaja2=respuest["utilidacaja2"];
            let utilidadFrcc2=respuest["utilidafrcc2"];
            let precioCaja3=respuest["VentaCaja3"];
            let precioFrcc3=respuest["VentaFrcc3"];
            let utilidadCaja3=respuest["utilidacaja3"];
            let utilidadFrcc3=respuest["utilidafrcc3"];
            let MensajePromo=respuest["MensajePromo"];
            let ultmaModificacion=respuest["ultmaModificacion"];
            

            

            $("#ultimamodificacion").val(ultmaModificacion);
            $("#inbodega").val(bodega);
            $("#invcodigo").val(codigo);
            $("#invnombre").val(nombre);
            $("#invbarras").val(barras);
            $("#invbarras2").val(barras2);
            $("#invbarras3").val(barras3);
            $("#invfactor").val(factor);
            $("#invcaja").val(inventario);

            $("#invcostocaja").val(costoc);

            $("#invpreciocaja").val(ventaca);
            $("#invpreciocaja2").val(ventaca2);

            $("#invfrcc").val(invetariofrcc);

            $("#invcostofrc").val(costof);
            $("#invpreciofrcc").val(ventafr);
            $("#invpreciofrcc2").val(ventafr2);

            $("#dtepos").val(dte);
         

            $("#invfactorblister").val(factorblicter);
            $("#invprecioblister").val(precioblister);

            $("#inviva").val(iva);
            $("#invulticaja").val(utilic);
            $("#invultifrcc").val(utilif);
            $("#invmarca").val(marcar);
            $("#invcategoria").val(catego);

            $("#dteposmax").val(dteMaxi);

            $("#invulticaja2").val(utilidadCaja2);
            $("#invultifrcc2").val(utilidadFrcc2);
            $("#invpreciocaja3").val(precioCaja3);
            $("#invpreciofrcc3").val(precioFrcc3);
            $("#invulticaja3").val(utilidadCaja3);
            $("#invultifrcc3").val(utilidadFrcc3);
            $("#CostoPromedio").val(CostoPromedio)
              
            

            $("#selecionmarca").val("");
            $("#selecioncate").val("");
            $("#ubicacion1c").val("");
            $("#ubicacion2c").val("");
           
            $("#CodigoOBS").val(CodigoOBS);

            if(decimales==1 || decimales=="1"){
            $('#invcostocaja').number(true, 2);

            $('#invcostofrc').number(true, 2);
            $('#invpreciofrcc').number(true, 2);
            $('#invpreciocaja').number(true, 2);
            $('#invpreciofrcc2').number(true, 2);
            $('#invpreciocaja2').number(true, 2);
            $('#invpreciocaja3').number(true, 2);
            $("#invpreciofrcc3").number(true, 2);
            $("#CostoPromedio").number(true, 2);
            $("#invprecioblister").number(true, 2);

            }else{
                $('#invcostocaja').number(true, 0);

            $('#invcostofrc').number(true, 0);
            $('#invpreciofrcc').number(true, 0);
            $('#invpreciocaja').number(true, 0);
            $('#invpreciofrcc2').number(true, 0);
            $('#invpreciocaja2').number(true, 0);
            $('#invpreciocaja3').number(true, 0);
            $("#invpreciofrcc3").number(true, 0);
            $("#CostoPromedio").number(true, 0);
            $("#invprecioblister").number(true, 0);
            }

            $("#inconmision").val(comision);
            $("#inconmisionN2").val(comision2)




            $("#precioabierto").val(pabierto);
            $("#ubicacion1a").val(ubicaciion1);
            $("#ubicacion2a").val(ubicaciion2);
            $("#registroinvima").val(invima);
            $("#mensajeProducEdi").val(MensajePromo);
           
         $("#EdienvioCocina").val(EdienvioCocina);
           

            var  controlinventar=document.querySelector("#controlinventarioAc");
            controlinventar[0].innerHTML= `<option value="${controlinventarioAc}">${controlinventarioAc}</option>` ;
            controlinventar.options.item(0).selected = 'selected';


            var  tipoproduc=document.querySelector("#tipoproducto");
            tipoproduc[0].innerHTML= `<option value="${tipoproducto}">${tipoproducto}</option>` ;
            tipoproduc.options.item(0).selected = 'selected';


            let estadoProduc=document.querySelector("#estadoProduc");
            let estadoP=respuest["ACTIVO"];
            if(estadoP==1){
                estadoProduc[0].innerHTML= `<option value="${estadoP}">Activo</option>` ;
                estadoProduc.options.item(0).selected = 'selected';
    
            }else{
                estadoProduc[0].innerHTML= `<option value="${estadoP}">Desativado</option>` ;
                estadoProduc.options.item(0).selected = 'selected';
            }
            


            terminado1();

            
            let tablaescaneado = document.querySelector("#terminados");
            $.ajax({
                data: { "id": id, "bodega": bodega}, //datos que se envian a traves de ajax
                url: "../controlador/config/terminado1.php", //archivo que recibe la peticion
                type: 'post', //método de envio
        
                // beforeSend: function() {
                //     $('#modalcarga').modal('show');
        
                // },
        
                success: function(response) { 
                    var respuestaa = JSON.parse(response);
                    let tablaProductos = [];

                    respuestaa.termina.forEach(valor => {
           
                       



                        let dato = `
                        <tr>
                        <th style="mso-number-format:'@';">${valor.codigot}</th>
                        <th style="mso-number-format:'@';"> ${valor.nombret}</th>
                        <th > ${valor.cajat}</th>
                        
                        <th > ${valor.frcct}</th>
                        <th hidden> ${valor.bodega}</th>
                        <th ><button type="button" class="btn btn-primary" value="Quitar">Quitar</button></th>
                       
                        
                      </tr>
                        `;

                        tablaProductos.push(dato);
                    });


                    let product = tablaProductos.join("");

                    tablaescaneado.innerHTML = product;


            // listas de precios

            let precioMAs=[];
            respuestaa.listap.forEach(item => {
              
        let da=`
                <tr>
                <th scope="row">${item.CodeLista}</th>
                <td>${item.precioCajaL}</td>
                <td>${item.precioFrccL}</td>
                <td>${item.PrecioBlistL}</td>
                <td>${item.UtilicajaL}</td>
                <td>${item.UtiliFrccL}</td>

                  <td>
                 <button class="btn btn-danger btn-sm" onclick="eliminarFila(this)">Quitar</button>
                </td>
              </tr>

               `

               precioMAs.push(da)

            });

            // console.log(precioMAs)

            ///
                    document.getElementById("tablaPrecios").innerHTML=precioMAs.join("");




                }
            });





        }
    });

    $(".iditar").attr("disabled", "disabled");


    $('#productosinventa').modal('show');








});


/// funcion actulizar imagen productoo

// funcion eliminar Productos

$(document).on("click", "#deleprodu", function(e) {
    let  id = $(this).parent().siblings(":first").text()
    let seguroBOr=confirm("Estas Seguro de borrar el producto");
    if(seguroBOr){
    $.ajax({
        data: {
            "delete": id
           
        }, //datos que se envian a traves de ajax
        url: "../controlador/config/productos.php", //archivo que recibe la peticion
        type: 'post', //método de envio


        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
            //$("#resultado").html(response);
        let respu=JSON.parse(response);
        console.log(respu)
        if(respu.estado=="ok"){
            document.getElementById("buscinvent").click();
        }else{
            alert(respu.mensaje)
        }
            
        }
    });
}
})
// fin funcion elimnar producto

$("#subirimg").click(function() {
	var archivo = $("#image")[0].files[0];
  let codigo=$("#invcodigo").val();
	var dataImg = new FormData();
	dataImg.set('imagen',archivo);
    dataImg.set('codigo',codigo);

 
	$.ajax({
		url:'../controlador/config/terminado1.php',
		type:'POST',
		cache: false,
		data: dataImg,
		contentType: false,
		processData: false
	}).done(function(response) {
		alert(response)
	});
});



$("#invfactor").blur(function() {

    var facto = $("#invfactor").val();
    console.log(facto)
    if (facto <= 0) {
       
        $("#invfactorblister").attr("disabled", "disabled");
        $("#invfactorblister").val(0);

    }else{
        actulizarprecioFrccSeguncostocajaEdision()
        $("#invfactorblister").removeAttr("disabled");
    }


});



$("#editarinve").click(function() {
    $(".iditar").removeAttr("disabled");
    $("#guardarproduc").removeAttr("disabled");
    $("#editarinve").attr("disabled", "disabled");



});

//funcion calcular precio venta en propiedades del producto caja

function calcularprecio() {
    let costoca = $("#invcostocaja").val();
    let uti = $("#invulticaja").val();
    if(calculoFinanciero=="ok"){

     var   ventanu = (costoca/(100-uti ))*100  
             

   }else{
    var ventanu = ((costoca / 100) * uti) + parseInt(costoca);
   }
    

    ventanu=Math.round(ventanu / 50) * 50;
    $("#invpreciocaja").val(ventanu);

}

$("#invcostocaja").keypress(function(e) {

    if (e.which == 13) {
        actulizarprecioFrccSeguncostocajaEdision()
        // calcularprecio();
        // calcularprecio3();
        // calcularprecio2();

    }

});


//calcular precio caja2 segun utilidad
        function calcularprecio2() {
            let costoca = $("#invcostocaja").val();
            let uti = $("#invulticaja2").val();

            if(calculoFinanciero=="ok"){

              var  ventanu = (costoca/(100-uti ))*100  
                     
       
           }else{
            var ventanu = ((costoca / 100) * uti) + parseInt(costoca);
           }
            

            ventanu=Math.round(ventanu / 50) * 50;
            $("#invpreciocaja2").val(ventanu);

        }

        $("#invulticaja2").keypress(function(e) {

            if (e.which == 13) {
                
                calcularprecio2();

            }

        });


        //calcular utilida caja segun precio venta caja2 propiedades del producto
        $("#invpreciocaja2").keypress(function(e) {
            let  preciocaja = $("#invpreciocaja2").val();
            let  costo = $("#invcostocaja").val();

            if(calculoFinanciero=="ok"){
                var  utilida = ((preciocaja - costo) / preciocaja) * 100;
            }else{
                var utilida = ((preciocaja - costo) / costo) * 100;
            }
           

            if (e.which == 13) {
                $("#invulticaja2").val(utilida.toFixed(3));
            }

        });

        $("#invpreciocaja2").blur(function() {

            $('#invpreciocaja2').trigger({ type: 'keypress', which: 13 });

        });





//
//calcular precio frcc2 segun utilidad
function calcularprecioUtli2() {
    let costoca = $("#invcostofrc").val();
    let uti = $("#invultifrcc2").val();
    
if(calculoFinanciero=="ok"){

 var   ventanu = (costoca/(100-uti ))*100  
         
}else{
  var   ventanu = ((costoca / 100) * uti) + parseInt(costoca);
}
   

    ventanu=Math.round(ventanu / 50) * 50;
    $("#invpreciofrcc2").val(ventanu);

}

$("#invultifrcc2").keypress(function(e) {

    if (e.which == 13) {
        
        calcularprecioUtli2();

    }

});


//calcular utilida frcc segun precio venta frcc2 propiedades del producto
$("#invpreciofrcc2").keypress(function(e) {
   let preciocaja = $("#invpreciofrcc2").val();
   let  costo = $("#invcostofrc").val();

    if(calculoFinanciero=="ok"){
        var  utilida = ((preciocaja - costo) / preciocaja) * 100;
    }else{
      var  utilida = ((preciocaja - costo) / costo) * 100;
    }

   
    if (e.which == 13) {
        $("#invultifrcc2").val(utilida.toFixed(3));
    }

});

$("#invpreciofrcc2").blur(function() {

    $('#invpreciofrcc2').trigger({ type: 'keypress', which: 13 });

});





//

//calcular precio caja3 segun utilidad
        function calcularprecio3() {
            let costoca = $("#invcostocaja").val();
            let uti = $("#invulticaja3").val();
            if(calculoFinanciero=="ok"){

             var   ventanu = (costoca/(100-uti ))*100  
                     
       
           }else{
            var ventanu = ((costoca / 100) * uti) + parseInt(costoca);
           }
            

            ventanu=Math.round(ventanu / 50) * 50;
            $("#invpreciocaja3").val(ventanu);

        }

        $("#invulticaja3").keypress(function(e) {

            if (e.which == 13) {
                
                calcularprecio3();

            }

        });


        //calcular utilida caja segun precio venta caja3 propiedades del producto
        $("#invpreciocaja3").keypress(function(e) {
            let  preciocaja = $("#invpreciocaja3").val();
            let  costo = $("#invcostocaja").val();

            if(calculoFinanciero=="ok"){
              var  utilida = ((preciocaja - costo) / preciocaja) * 100;
            }else{
              var    utilida = ((preciocaja - costo) / costo) * 100;
            }
            
            if (e.which == 13) {
                $("#invulticaja3").val(utilida.toFixed(3));
            }

        });

        $("#invpreciocaja3").blur(function() {

            $('#invpreciocaja3').trigger({ type: 'keypress', which: 13 });

        });

        //calcular precio frcc3 segun utilidad
        function calcularprecioUtli3() {
            let costoca = $("#invcostofrc").val();
            let uti = $("#invultifrcc3").val();

            if(calculoFinanciero=="ok"){

                 ventanu = (costoca/(100-uti ))*100  
                      
        
            }else{
                 ventanu = ((costoca / 100) * uti) + parseInt(costoca);
            }
            

             ventanu=Math.round(ventanu / 50) * 50;
            $("#invpreciofrcc3").val(ventanu);

        }

        $("#invultifrcc3").keypress(function(e) {

            if (e.which == 13) {
                
                calcularprecioUtli3();

            }

        });


        //calcular utilida frcc segun precio venta frcc3 propiedades del producto
        $("#invpreciofrcc3").keypress(function(e) {
            let  preciocaja = $("#invpreciofrcc3").val();
            let  costo = $("#invcostofrc").val();
            if(calculoFinanciero=="ok"){
                  utilida = ((preciocaja - costo) / preciocaja) * 100;
            }else{
                  utilida = ((preciocaja - costo) / costo) * 100;
            }

            
            if (e.which == 13) {
                $("#invultifrcc3").val(utilida.toFixed(3));
            }

        });

        $("#invpreciofrcc3").blur(function() {

            $('#invpreciofrcc3').trigger({ type: 'keypress', which: 13 });

        });





//
//cambiar costo por costoPromedio

let botocajaProm=document.getElementById("cajaProm");
if(botocajaProm){
    botocajaProm.addEventListener("click",function(){
        cambiarCostoPromedio();    
        
        
    })
}
 function cambiarCostoPromedio(){
    let costoProme=document.getElementById("CostoPromedio").value;
    document.getElementById("invcostocaja").value=costoProme;

    actulizarprecioFrccSeguncostocajaEdision();

 }
// cambiar precio de las fracciones segun el precio caja / factor

    let botonpf1=document.getElementById("pf1");
    if(botonpf1){
        botonpf1.addEventListener("click",function(){
            
            pf1();
            
        })
    }
    function pf1(){
        let factor=$("#invfactor").val();
        let precioCaja1=$("#invpreciocaja").val();
        let precioFrcc=precioCaja1/factor;
        precioFrcc=Math.round(precioFrcc / 50) * 50;
        $("#invpreciofrcc").val(precioFrcc);
        $('#invpreciofrcc').trigger({ type: 'keypress', which: 13 });


    }
//

// cambiar precio de las fracciones segun el precio caja / factor

    let botonpf2=document.getElementById("pf2");
    if(botonpf2){
        botonpf2.addEventListener("click",function(){
            
            pf2();
            
        })
    }
    function pf2(){
        let factor=$("#invfactor").val();
        let precioCaja1=$("#invpreciocaja2").val();
        let precioFrcc=precioCaja1/factor;
        precioFrcc=Math.round(precioFrcc / 50) * 50;
        $("#invpreciofrcc2").val(precioFrcc);
        $('#invpreciofrcc2').trigger({ type: 'keypress', which: 13 });


    }
//

// cambiar precio de las fracciones segun el precio caja / factor

    let botonpf3=document.getElementById("pf3");
    if(botonpf3){
        botonpf3.addEventListener("click",function(){
            
            pf3();
            
        })
    }
    function pf3(){
        let factor=$("#invfactor").val();
        let precioCaja1=$("#invpreciocaja3").val();
        let precioFrcc=precioCaja1/factor;
        precioFrcc=Math.round(precioFrcc / 50) * 50;
        $("#invpreciofrcc3").val(precioFrcc);
        $('#invpreciofrcc3').trigger({ type: 'keypress', which: 13 });


    }
//



$("#invcostocaja").blur(function() {


    // calcularprecio();

});


$("#invulticaja").keypress(function(e) {

    if (e.which == 13) {
        calcularprecio();

    }

});

$("#invulticaja").blur(function() {

    //   calcularprecio();

});

//calcular fracion segun frcc segun caja propiedades del producto
$("#invcaja").keypress(function(e) {
    fact = $("#invfactor").val();
    inva = $("#invcaja").val();
    frcc = fact * inva;
    if (e.which == 13) {
        $("#invfrcc").val(frcc);

    }

});



//calcular caja segun frcc propiedades del producto
$("#invfrcc").keypress(function(e) {
    frcc = $("#invfrcc").val();
    fact = $("#invfactor").val();

    caja = frcc / fact;
    if (e.which == 13) {
        $("#invcaja").val(caja);
    }

});

//calcular utilida caja segun precio venta caja propiedades del producto
$("#invpreciocaja").keypress(function(e) {
   let preciocaja = $("#invpreciocaja").val();
   let  costo = $("#invcostocaja").val();

    if(calculoFinanciero=="ok"){
          utilida = ((preciocaja - costo) / preciocaja) * 100;
    }else{
        utilida = ((preciocaja - costo) / costo) * 100;
    }
    
    if (e.which == 13) {
        $("#invulticaja").val(utilida.toFixed(3));
    }

});

$("#invpreciocaja").blur(function() {

      $('#invpreciocaja').trigger({ type: 'keypress', which: 13 });

});




//calcular utilida frcc segun precio venta  frcc propiedades del producto
$("#invpreciofrcc").keypress(function(e) {
 let    preciofrcc = $("#invpreciofrcc").val();
 let    costof = $("#invcostofrc").val();
 if(calculoFinanciero=="ok"){
    utilidaf = ((preciofrcc - costof) / preciofrcc) * 100;
}else{
    utilidaf = ((preciofrcc - costof) / costof) * 100;
}

   
    if (e.which == 13) {
        $("#invultifrcc").val(utilidaf.toFixed(3));
    }

});
$("#invpreciofrcc").blur(function() {

     $('#invpreciofrcc').trigger({ type: 'keypress', which: 13 });

});




//calcular frcc segun factor propiedades del producto
$("#invfactor").keypress(function(e) {

    caja = $("#invcaja").val();
    fact = $("#invfactor").val();

    frcc = fact * caja;
    if (e.which == 13) {
        actulizarprecioFrccSeguncostocajaEdision()

        $("#invfrcc").val(frcc);
    }

});

//funcion calcular precio venta en propiedades del producto frcc

function calcularpreciof() {
    var costofr = $("#invcostofrc").val();
    var util = $("#invultifrcc").val();
    if(calculoFinanciero=="ok"){

        var ventanu = (costofr/(100-util ))*100

        ventanu=   Math.round(ventanu / 50) * 50;
       

    }else{
        var ventanu = ((costofr / 100) * util) + parseInt(costofr);
        ventanu=Math.round(ventanu / 50) * 50;
    }

    
    $("#invpreciofrcc").val(ventanu);
   
}

$("#invcostofrc").keypress(function(e) {

    if (e.which == 13) {
        // calcularpreciof();
        // calcularprecioUtli3();
        // calcularprecioUtli2();


    }

});

$("#invcostofrc").blur(function() {

    //  calcularpreciof();


});



$("#invultifrcc").keypress(function(e) {

    if (e.which == 13) {
        calcularpreciof();

    }

});


$("#invultifrcc").blur(function() {

    //  calcularpreciof();


});



//funcion actulizar propiedades del producto

$("#guardarproduc").click(function() {
    actulizarproducto();
   
});
function actulizarproducto(asignar=0,bodegaasignar=0){
    var codigo = $("#invcodigo").val();
    var nombre = $("#invnombre").val();
    var barras = $("#invbarras").val();
    let barras2 = $("#invbarras2").val();

    let barras3 = $("#invbarras3").val();


   
    var factor = $("#invfactor").val();
    var inventario = $("#invcaja").val();
    var costoc = $("#invcostocaja").val();

    var costof = $("#invcostofrc").val();

    var iva = $("#inviva").val();
    var utilic = $("#invulticaja").val();
    var utilif = $("#invultifrcc").val();
    var marca = $("#selecionmarca").val();
    var categori = $("#selecioncate").val();
    let ventaCaja = $("#invpreciocaja").val();
    let ventaFrcc = $("#invpreciofrcc").val();
    let bodega = $("#inbodega").val();
    let ventaCaja2 = $("#invpreciocaja2").val();
    let ventaFrcc2 = $("#invpreciofrcc2").val();
    let invimaactu =$("#registroinvima").val();
    let EdienvioCocina=$("#EdienvioCocina").val();

   let dte= $("#dtepos").val();
   let dtemax=$("#dteposmax").val();

   let mensajeProducEdi=$("#mensajeProducEdi").val();

   let factorblister= $("#invfactorblister").val();
     let precioblister=  $("#invprecioblister").val();

    let preciosTodosP=document.getElementById("preciosTodosP").value;

 let tipoproducto=document.getElementById("tipoproducto").value;
 let controlinventarioAc=document.getElementById("controlinventarioAc").value;

 let utilidadCaja2=$("#invulticaja2").val();
 let utilidadFrcc2=$("#invultifrcc2").val();
 let precioCaja3=$("#invpreciocaja3").val();
 let precioFrcc3=$("#invpreciofrcc3").val();
 let utilidadCaja3=$("#invulticaja3").val();
 let utilidadFrcc3=$("#invultifrcc3").val();
 let CodigoOBS=$("#CodigoOBS").val();

 if (utilidadCaja2 == "") {
    utilidadCaja2 = 0;
}
if (utilidadFrcc2 == "") {
    utilidadFrcc2 = 0;
}
if (precioCaja3 == "") {
    precioCaja3 = 0;
}

if (precioFrcc3 == "") {
    precioFrcc3 = 0;
}
if (utilidadCaja3 == "") {
    utilidadCaja3 = 0;
}
if (utilidadFrcc3 == "") {
    utilidadFrcc3 = 0;
}

    if (ventaCaja2 == "") {
        ventaCaja2 = 0;
    }
    if (ventaFrcc2 == "") {
        ventaFrcc2 = 0;
    }
    if (factor == "") {
        factor = 0;
    }

    if (utilic == "") {
        utilic = 0;
    }
    if (utilif == "") {
        utilif = 0;
    }

    let inconmision = document.querySelector("#inconmision").value;
    let precioabierto = document.querySelector("#precioabierto").value;
    let estadoProduc=document.querySelector("#estadoProduc").value;
     let comision2=  document.querySelector("#inconmisionN2").value;      
    if (inconmision == "") {
        inconmision = 0;
    }

     if (comision2 == "") {
        comision2 = 0;
    }
   
    $.ajax({
        data: {
            "codigo": codigo,
            "nombre": nombre,
            "barras": barras,            
            "factor": factor,
            "inventario": inventario,
            "costoc": costoc,
            "costof": costof,
            "iva": iva,
            "utilcaja": utilic,
            "utilfrcc": utilif,
            "marca": marca,
            "caregoria": categori,
            "icomision": inconmision,
            "comision2":comision2,
            "pabierto": precioabierto,
            "barras2": barras2,
            "barras3": barras3,
            "ventaCaja": ventaCaja,
            "ventaFrcc": ventaFrcc,
            "ventaCaja2": ventaCaja2,
            "ventaFrcc2": ventaFrcc2,
            "bodega": bodega,
            "bodegaasignar":bodegaasignar,
            "asignar":asignar,
            "invimaa":invimaactu,
            "preciosTodosP":preciosTodosP,
            "tipoproducto":tipoproducto,
            "controlinventarioAc":controlinventarioAc,
            "factorblister":factorblister,
            "precioblister":precioblister,
            "dte":dte,
            "dtemax":dtemax,
            "utilidadCaja2":utilidadCaja2,
            "utilidadFrcc2":utilidadFrcc2,
            "precioCaja3":precioCaja3,
            "precioFrcc3":precioFrcc3,
            "utilidadCaja3":utilidadCaja3,
            "utilidadFrcc3":utilidadFrcc3,
            "mensajeProducEdi":mensajeProducEdi,
            "CodigoOBS":CodigoOBS,
            "EdienvioCocina":EdienvioCocina,
            "estadoProduc":estadoProduc



      


        },
        

        //datos que se envian a traves de ajax
        url: "../controlador/config/productos.php", //archivo que recibe la peticion
        type: 'post', //método de envio


        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
            //$("#resultado").html(response);

            alert(response);
            $("#salir").click();
            //  var respuest=JSON.parse(response);








        }
    });
}


//funcion crear productos

$("#crearproduc").click(function() {
    $(".limpiar").val("");
    $("#invfactorp").val(0);
    $("#invcostofrcp").val(0);
    $("#invultifrccp").val(0);


    $("#invcostofrcp").attr("disabled", "disabled");
    $("#invpreciofrccp").attr("disabled", "disabled");
    $("#invultifrccp").attr("disabled", "disabled");

    $("#invpreciofrccp2").attr("disabled", "disabled");
    $("#invultifrccp2").attr("disabled", "disabled");

    $("#invpreciofrccp3").attr("disabled", "disabled");
    $("#invultifrccp3").attr("disabled", "disabled");


    $("#crearproducto").modal("show");

});

$("#invpreciofrccp").keypress(function(e) {
   let preciofrcc = $("#invpreciofrccp").val();
   let  costof = $("#invcostofrcp").val();

    if(calculoFinanciero=="ok"){
        var  utilidaf = ((preciofrcc - costof) / preciofrcc) * 100;
    }else{
        var   utilidaf = ((preciofrcc - costof) / costof) * 100;
    }
    
    if (e.which == 13) {
        $("#invultifrccp").val(utilidaf);
    }

});


$("#invfactorp").blur(function() {

    var facto = $("#invfactorp").val();
    actulizarprecioFrccSeguncostocajaCreacion();
    if (facto > 0) {
        $("#invcostofrcp").removeAttr("disabled");
        $("#invpreciofrccp").removeAttr("disabled");
        $("#invultifrccp").removeAttr("disabled");
        $("#invfactorBlis").removeAttr("disabled");

        $("#invpreciofrccp2").removeAttr("disabled");
        $("#invultifrccp2").removeAttr("disabled");

        $("#invpreciofrccp3").removeAttr("disabled");
        $("#invultifrccp3").removeAttr("disabled");


    }


});
//calcular costo frcc en creacion productos

function actulizarprecioFrccSeguncostocajaCreacion(){
    let cotocaja=$("#invcostocajap").val();
    let Factor=$("#invfactorp").val();
    if(Factor>0){
        let costofrcc=Math.round(cotocaja/Factor);
        $("#invcostofrcp").val(costofrcc);
    }



}

//calcular costo frcc en edicion productos
function actulizarprecioFrccSeguncostocajaEdision(){
    let cotocaja=$("#invcostocaja").val();
    let Factor=$("#invfactor").val();
    if(Factor>0){
        let costofrcc=Math.round(cotocaja/Factor);
        $("#invcostofrc").val(costofrcc);
    }



}

//hablidar campos fraccion segun factor de conversion
$("#invfactorp").keypress(function(e) {


    if (e.which == 13) {
        var facto = $("#invfactorp").val();
        if (facto > 0) {
            $("#invcostofrcp").removeAttr("disabled");
            $("#invpreciofrccp").removeAttr("disabled");
            $("#invultifrccp").removeAttr("disabled");
            $("#invfactorBlis").removeAttr("disabled");

            $("#invpreciofrccp2").removeAttr("disabled");
            $("#invultifrccp2").removeAttr("disabled");
    
            $("#invpreciofrccp3").removeAttr("disabled");
            $("#invultifrccp3").removeAttr("disabled");
            
            actulizarprecioFrccSeguncostocajaCreacion();


        }
    }

});
// funcion crear producto nuevo

$("#crearproducton").click(function() {

    var cod = $("#invcodigop").val();

    var nombre = $("#invnombrep").val();
    var barras = $("#invbarrasp").val();
    var factor = $("#invfactorp").val();

    var costoc = $("#invcostocajap").val();

    var costof = $("#invcostofrcp").val();

    var iva = $("#invivap").val();
    var utilic = $("#invulticajap").val();
    var utilif = $("#invultifrccp").val();
    var marca = $("#selecionmarcap").val();
    var categori = $("#selecioncatep").val();
    let barras2 = $("#invbarrasp2").val();
    let ventaCaja = $("#invpreciocajap").val();
    let ventaFrcc = $("#invpreciofrccp").val();
    let ventaCaja2 = $("#invpreciocajap2").val();
    let ventaFrcc2 = $("#invpreciofrccp2").val();
    let factorblister= $("#invfactorBlis").val();
    let precioblister=  $("#invprecioBlisp").val();
    let invima=document.getElementById("cregistroInv").value;
    let barras3 = $("#invbarrasp3").val();
    

    let utilidadCaja2=$("#invulticajap2").val();
    let utilidadFrcc2=$("#invultifrccp2").val();

    let precioCaja3=$("#invpreciocajap3").val();
    let precioFrcc3=$("#invpreciofrccp3").val();

    let utilidadCaja3=$("#invulticajap3").val();
    let utilidadFrcc3=$("#invultifrccp3").val();


    let dte= $("#dteposCr").val();
    let dtemax=$("#dteposmaxCr").val();
    let mensajeProd= $("#mensajeProduc").val();


    if (ventaCaja2 == "") {
        ventaCaja2 = 0;
    }
    if (ventaFrcc2 == "") {
        ventaFrcc2 = 0;
    }

    let comisionP = document.querySelector("#comision").value;
    let comision2=document.getElementById("comisionNN2").value;
    let ubicacion1 = document.querySelector("#ubicacion1").value;
    let ubicacion2 = document.querySelector("#ubicacion2").value;
    let tipoproductoCre=document.querySelector("#tipoproductoCre").value;
    let controlinventario=document.querySelector("#controlinventario").value;
    let crearCocina=document.getElementById("crearCocina").value; 
    $.ajax({
        data: {
            "cod": cod,
            "nombre": nombre,
            "barras": barras,
            "factor": factor,
            "costoc": costoc,
            "costof": costof,
            "iva": iva,
            "utilcaja": utilic,
            "utilfrcc": utilif,
            "marca": marca,
            "caregoria": categori,
            "comision": comisionP,
            "comision2":comision2,
            "barras2": barras2,
            "barras3": barras3,
            "ubicacion1": ubicacion1,
            "ubicacion2": ubicacion2,
            "ventaCaja": ventaCaja,
            "ventaFrcc": ventaFrcc,
            "ventaCaja2": ventaCaja2,
            "ventaFrcc2": ventaFrcc2,
            "invima":invima,
            "tipoproductoCre":tipoproductoCre,
            "controlinventario":controlinventario,
            "factorblister":factorblister,
            "precioblister":precioblister,
            "dte":dte,
            "dtemax":dtemax,
            "utilidadCaja2":utilidadCaja2,
            "utilidadFrcc2":utilidadFrcc2,
            "precioCaja3":precioCaja3,
            "precioFrcc3":precioFrcc3,
            "utilidadCaja3":utilidadCaja3,
            "utilidadFrcc3":utilidadFrcc3,
            "mensajeProd":mensajeProd,
            "crearCocina":crearCocina

   

        },
        //datos que se envian a traves de ajax
        url: "../controlador/config/productos.php", //archivo que recibe la peticion
        type: 'post', //método de envio


        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
            //$("#resultado").html(response);

            alert(response);
            //  $("#salirrr").click();
            //  var respuest=JSON.parse(response);




        }
    });



});



// funciones creacion producto precios caja


//calcular utilida caja segun precio venta caja crear  producto



$("#invpreciocajap").keypress(function(e) {

    if (e.which == 13) {
        calcularutilidadseguncaja();
    }

});

$("#invpreciocajap").blur(function() {

     calcularutilidadseguncaja();

});


function calcularutilidadseguncaja() {
    let preciocaja = $("#invpreciocajap").val();
    let costo = $("#invcostocajap").val();
    if (costo == "" || utilida == "Infinity") {
        utilida = 0;

    }
    if(calculoFinanciero=="ok"){
        var  utilida = ((preciocaja - costo) / preciocaja) * 100;
    }else{
        var utilida = ((preciocaja - costo) / costo) * 100;
    }

    

   
    $("#invulticajap").val(utilida.toFixed(3));

};

//calcular utilida caja segun costo  caja crear  producto



$("#invcostocajap").keypress(function(e) {

    

    if (e.which == 13) {
        actulizarprecioFrccSeguncostocajaCreacion()

        calcularutilidadseguncaja();
    }

});

$("#invcostocajap").blur(function() {
    actulizarprecioFrccSeguncostocajaCreacion();
   //  calcularutilidadseguncaja();

});

// funcion calcular precio caja segun utilida caja
function calcularpreciocajasegunutilidadcajaaa() {
    //let preciocaja=$("#vtcaja").val(); 
    let costo = parseInt($("#invcostocajap").val());
    let utilid = $("#invulticajap").val();

    if(calculoFinanciero=="ok"){

        var preciocaja = (costo/(100-utilid ))*100

        preciocaja=   Math.round(preciocaja / 50) * 50;
       

    }else{
        var preciocaja = ((costo / 100) * utilid) + costo;
        preciocaja=  Math.round(preciocaja / 50) * 50;
    }
    
    $("#invpreciocajap").val(preciocaja);
    // $("#utcaja").val(utilida.toFixed(3));

}

$("#invulticajap").keypress(function(e) {

    if (e.which == 13) {
        calcularpreciocajasegunutilidadcajaaa();
    }

});

$("#invulticajap").blur(function() {

    calcularpreciocajasegunutilidadcajaaa();

});



// funciones creacion producto precios frcc


//calcular utilida frcc segun precio venta frcc crear  producto



$("#invpreciofrccp").keypress(function(e) {

    if (e.which == 13) {
        calcularutilidadsegunfrcc();
    }

});

$("#invpreciofrccp").blur(function() {

      calcularutilidadsegunfrcc();

});


function calcularutilidadsegunfrcc() {
    let preciocaja = $("#invpreciofrccp").val();
    let costo = $("#invcostofrcp").val();

    if (costo == "" || utilida == "Infinity") {
        utilida = 0;

    }
    if(calculoFinanciero=="ok"){

        var utilida = ((preciocaja - costo) / preciocaja) * 100;
       

    }else{
    var utilida = ((preciocaja - costo) / costo) * 100;
    }
    
    $("#invultifrccp").val(utilida.toFixed(3));

};

//calcular utilida frcc segun costo  frcc crear  producto



$("#invcostofrcp").keypress(function(e) {

    if (e.which == 13) {
        calcularutilidadsegunfrcc()
    }

});

$("#invcostofrcp").blur(function() {

    // calcularutilidadsegunfrcc();

});

// funcion calcular precio caja segun utilida caja
function calcularpreciocajasegunutilidadfrcc() {
    //let preciocaja=$("#vtcaja").val(); 
    let costo = parseInt($("#invcostofrcp").val());
    let utilid = $("#invultifrccp").val();

    if(calculoFinanciero=="ok"){

        var preciocaja = (costo/(100-utilid ))*100

        preciocaja=   Math.round(preciocaja / 50) * 50;
       

    }else{
        var preciocaja = ((costo / 100) * utilid) + costo;

        preciocaja=  Math.round(preciocaja / 50) * 50;
    }

    
    $("#invpreciofrccp").val(preciocaja);
    // $("#utcaja").val(utilida.toFixed(3));
    
}

$("#invultifrccp").keypress(function(e) {

    if (e.which == 13) {
        calcularpreciocajasegunutilidadfrcc();
    }

});

$("#invultifrccp").blur(function() {

      calcularpreciocajasegunutilidadfrcc();

});


/////////////////////////////funcion calcular listas de precios//////////////////////////



            //calcular precio caja2 segun utilidad
        function calcularprecioCre2() {
            let costoca = $("#invcostocajap").val();
            let uti = $("#invulticajap2").val();

            if(calculoFinanciero=="ok"){

                var ventanu = (costoca/(100-uti ))*100                             
        
            }else{
                var ventanu = ((costoca / 100) * uti) + parseInt(costoca);
            }
           

            ventanu=Math.round(ventanu / 50) * 50;
            $("#invpreciocajap2").val(ventanu);

        }

        $("#invulticajap2").keypress(function(e) {

            if (e.which == 13) {
                
                calcularprecioCre2();

            }

        });


        //calcular utilida caja segun precio venta caja2 propiedades del producto
        $("#invpreciocajap2").keypress(function(e) {
            let  preciocaja = $("#invpreciocajap2").val();
            let  costo = $("#invcostocajap").val();

            if(calculoFinanciero=="ok"){
                var  utilida = ((preciocaja - costo) / preciocaja) * 100;
            }else{
                var utilida = ((preciocaja - costo) / costo) * 100;
            }

            
            if (e.which == 13) {
                $("#invulticajap2").val(utilida.toFixed(3));
            }

        });

        $("#invpreciocajap2").blur(function() {

            $('#invpreciocajap2').trigger({ type: 'keypress', which: 13 });

        });





//
//calcular precio frcc2 segun utilidad
function calcularprecioUtliFRcc2() {
    let costoca = $("#invcostofrcp").val();
    let uti = $("#invultifrccp2").val();

    if(calculoFinanciero=="ok"){

        var ventanu = (costoca/(100-uti ))*100

      
       
    }else{
        var ventanu = ((costoca / 100) * uti) + parseInt(costoca);
    }
    

    ventanu=Math.round(ventanu / 50) * 50;
    $("#invpreciofrccp2").val(ventanu);

}

$("#invultifrccp2").keypress(function(e) {

    if (e.which == 13) {
        
        calcularprecioUtliFRcc2();

    }

});


//calcular utilida frcc segun precio venta frcc2 propiedades del producto
$("#invpreciofrccp2").keypress(function(e) {
    let preciocaja = $("#invpreciofrccp2").val();
    costo = $("#invcostofrcp").val();
    if(calculoFinanciero=="ok"){
        var  utilida = ((preciocaja - costo) / preciocaja) * 100;
    }else{
      var  utilida = ((preciocaja - costo) / costo) * 100;
    }
   


    if (e.which == 13) {
        $("#invultifrccp2").val(utilida.toFixed(3));
    }

});

$("#invpreciofrccp2").blur(function() {

    $('#invpreciofrccp2').trigger({ type: 'keypress', which: 13 });

});





//

//calcular precio caja3 segun utilidad
        function calcularprecioCre3() {
            let costoca = $("#invcostocajap").val();
            let uti = $("#invulticajap3").val();
            
            
            if(calculoFinanciero=="ok"){

                var ventanu = (costoca/(100-uti ))*100             
        
            }else{
                var  ventanu = ((costoca / 100) * uti) + parseInt(costoca);
            }
            ventanu=Math.round(ventanu / 50) * 50;
           
            $("#invpreciocajap3").val(ventanu);

        }

        $("#invulticajap3").keypress(function(e) {

            if (e.which == 13) {
                
                calcularprecioCre3();

            }

        });


        //calcular utilida caja segun precio venta caja3 propiedades del producto
        $("#invpreciocajap3").keypress(function(e) {
            let  preciocaja = $("#invpreciocajap3").val();
            let  costo = $("#invcostocajap").val();

            if(calculoFinanciero=="ok"){
                var  utilida = ((preciocaja - costo) / preciocaja) * 100;
            }else{
                var  utilida = ((preciocaja - costo) / costo) * 100;
            }
           
            if (e.which == 13) {
                $("#invulticajap3").val(utilida.toFixed(3));
            }

        });

        $("#invpreciocajap3").blur(function() {

            $('#invpreciocajap3').trigger({ type: 'keypress', which: 13 });

        });

        //calcular precio frcc3 segun utilidad
        function calcularprecioUtliCrea3() {
            let costoca = $("#invcostofrcp").val();
            let uti = $("#invultifrccp3").val();

            if(calculoFinanciero=="ok"){

                var ventanu = (costoca/(100-uti ))*100        
                             
        
            }else{
                var ventanu = ((costoca / 100) * uti) + parseInt(costoca);
            }

            

             ventanu=Math.round(ventanu / 50) * 50;
            $("#invpreciofrccp3").val(ventanu);

        }

        $("#invultifrccp3").keypress(function(e) {

            if (e.which == 13) {
                
                calcularprecioUtliCrea3();

            }

        });


        //calcular utilida frcc segun precio venta frcc3 propiedades del producto
        $("#invpreciofrccp3").keypress(function(e) {
            let  preciocaja = $("#invpreciofrccp3").val();
            let  costo = $("#invcostofrcp").val();

            if(calculoFinanciero=="ok"){
                var  utilida = ((preciocaja - costo) / preciocaja) * 100;
            }
            else{
                var  utilida = ((preciocaja - costo) / costo) * 100;
            }

            
            if (e.which == 13) {
                $("#invultifrccp3").val(utilida.toFixed(3));
            }

        });

        $("#invpreciofrccp3").blur(function() {

            $('#invpreciofrccp3').trigger({ type: 'keypress', which: 13 });

        });





//



// cambiar precio de las fracciones segun el precio caja / factor

    let botonpfCrear1=document.getElementById("pf1c");
    if(botonpfCrear1){
        botonpfCrear1.addEventListener("click",function(){
            
            pf1c();
            
        })
    }
    function pf1c(){
        let factor=$("#invfactorp").val();
        let precioCaja1=$("#invpreciocajap").val();
        let precioFrcc=precioCaja1/factor;
        precioFrcc=Math.round(precioFrcc / 50) * 50;
        $("#invpreciofrccp").val(precioFrcc);
        $('#invpreciofrccp').trigger({ type: 'keypress', which: 13 });


    }
//

// cambiar precio de las fracciones segun el precio caja / factor

    let botonpfCrear2=document.getElementById("pf2c");
    if(botonpfCrear2){
        botonpfCrear2.addEventListener("click",function(){
            
            pf2c();
            
        })
    }
    function pf2c(){
        let factor=$("#invfactorp").val();
        let precioCaja1=$("#invpreciocajap2").val();
        let precioFrcc=precioCaja1/factor;
        precioFrcc=Math.round(precioFrcc / 50) * 50;
        $("#invpreciofrccp2").val(precioFrcc);
        $('#invpreciofrccp2').trigger({ type: 'keypress', which: 13 });


    }
//

// cambiar precio de las fracciones segun el precio caja / factor

    let botonpfCrear3=document.getElementById("pf3c");
    if(botonpfCrear3){
        botonpfCrear3.addEventListener("click",function(){
            
            pf3c();
            
        })
    }
    function pf3c(){
        let factor=$("#invfactorp").val();
        let precioCaja1=$("#invpreciocajap3").val();
        let precioFrcc=precioCaja1/factor;
        precioFrcc=Math.round(precioFrcc / 50) * 50;
        $("#invpreciofrccp3").val(precioFrcc);
        $('#invpreciofrccp3').trigger({ type: 'keypress', which: 13 });


    }
//

///////////////////////////// finnn funcion calcular listas de precios//////////////////////////

//funcion cambiar ubicacion al producto

let cambiarUbicacion = document.querySelector("#cambiarUbicacion");
cambiarUbicacion.addEventListener("click", function() {
    let bodega = $("#inbodega").val();
    let codigo = document.querySelector("#invcodigo").value;
    let ubicacion1 = document.querySelector("#ubicacion1c").value;
    let ubicacion2 = document.querySelector("#ubicacion2c").value;



    if (ubicacion1 == "" & ubicacion2 == "") {

        alert("Sin cambios")

    } else {
        $.ajax({
            data: { "ubicacion1": ubicacion1, "ubicacion2": ubicacion2, "codigo": codigo, "bodega": bodega },
            //datos que se envian a traves de ajax
            url: "../controlador/config/ubicacion.php", //archivo que recibe la peticion
            type: 'post', //método de envio


            success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
                //$("#resultado").html(response);

                alert(response);




            }
        });

    }
})


document.querySelector("#asiganarbodega").addEventListener("click",function(){
    let bodega = $("#idbodegasasignar").val();
if(bodega==0 || bodega==""){
    alert("no ha definido una bodega");
}else{
    actulizarproducto(1,bodega);
   
}
    
})



let masPrecio=document.getElementById("masprecios");

if(masPrecio){
    
    masPrecio.addEventListener("click",function(){

        $("#LISTAPRECIOS").modal("show");

    })
   
}



  document.getElementById('btnmasprec').addEventListener('click', function () {
    // Obtener los valores de los campos
    const lista = document.getElementById('listaPreMas').value;
    let  precioCaja = document.getElementById('pcajaMas').value;
    let precioFrcc = document.getElementById('pfrccMas').value;
    let precioBlister = document.getElementById('pbliscMas').value;

    let utilidaCa=document.getElementById('utcajaMas').value;
    let utilidaFrc=document.getElementById('utFcjaMas').value;

    // // Validar que no estén vacíos (opcional)
    // if (!lista || !precioCaja || !precioFrcc || !precioBlister) {
    //   alert('Por favor, complete todos los campos.');
    //   return;
    // }

    // Crear una nueva fila en la tabla
    const tablaPrecios = document.getElementById('tablaPrecios');
    const nuevaFila = document.createElement('tr');

 
if(precioCaja.replace(/\s+/g, '')==""){
    precioCaja=0;
}

 
if(precioFrcc.replace(/\s+/g, '')==""){
    precioFrcc=0;
}

if(precioBlister.replace(/\s+/g, '')==""){
    precioBlister=0;
}

if(utilidaCa.replace(/\s+/g, '')==""){
    utilidaCa=0;
}

if(utilidaFrc.replace(/\s+/g, '')==""){
    utilidaFrc=0;
}



    
    let id=document.getElementById("invcodigo").value;
    let bodega=document.getElementById("inbodega").value;
    let preciosTodosP=document.getElementById("preciosTodosP").value;

    


    $.ajax({
        data: { "codePrelisAgregar": id, "bodega":
             bodega,"preciosTodosP":preciosTodosP,
             "lista":lista,
             "precioCaja":precioCaja,
             "precioFrcc":precioFrcc,
             "precioBlister":precioBlister,
             "utilidaCa":utilidaCa,
             "utilidaFrc":utilidaFrc





            
            
            
            
            }, //datos que se envian a traves de ajax
        url: "../controlador/config/terminado1.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function() {
        //     $('#modalcarga').modal('show');

        // },

        success: function(response) { 

            if(response.replace(/\s+/g, '')=="ok"){
               

                   // Agregar las celdas a la fila
    nuevaFila.innerHTML = `
    <td>${lista}</td>
    <td>${precioCaja}</td>
    <td>${precioFrcc}</td>
    <td>${precioBlister}</td>
    <td>${utilidaCa}</td>
    <td>${utilidaFrc}</td>
    <td>
      <button class="btn btn-danger btn-sm" onclick="eliminarFila(this)">Quitar</button>
    </td>
  `;

  
  
    // Agregar la fila a la tabla
    tablaPrecios.appendChild(nuevaFila);

    // Limpiar los campos después de agregar
    document.getElementById('pcajaMas').value = '';
    document.getElementById('pfrccMas').value = '';
    document.getElementById('pbliscMas').value = '';
   document.getElementById('utcajaMas').value="";
  document.getElementById('utFcjaMas').value="";

            }
            // var respuestaa = JSON.parse(response);
            // let tablaProductos = [];
            

        }
    })

  });

  // Función para eliminar una fila
  function eliminarFila(boton) {

    const fila = boton.parentElement.parentElement; // Obtener la fila completa
    const lista = fila.children[0].textContent; // Obtener el contenido de la celda "Lista" (primera celda)
  
    let id=document.getElementById("invcodigo").value;
    let bodega=document.getElementById("inbodega").value;
    let preciosTodosP=document.getElementById("preciosTodosP").value;

    // Opcional: mostrar el valor o hacer algo con él antes de eliminar
    console.log(`Se eliminó la lista: ${lista}`);



    $.ajax({
        data: { "codeProlis": id, "bodega": bodega,"preciosTodosP":preciosTodosP,"lista":lista}, //datos que se envian a traves de ajax
        url: "../controlador/config/terminado1.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function() {
        //     $('#modalcarga').modal('show');

        // },

        success: function(response) { 

            if(response.replace(/\s+/g, '')=="ok"){
                // Eliminar la fila
                 fila.remove();

            }
            // var respuestaa = JSON.parse(response);
            // let tablaProductos = [];
            

        }
    })
  
   

  }





   //calcular utilida caja segun precio venta caja3 propiedades del producto
   $("#pcajaMas").keypress(function(e) {

   
    if (e.which == 13) {
        let  preciocaja = $("#pcajaMas").val();
        let  costo = $("#invcostocaja").val();
         let utilida=0;
       
        if(calculoFinanciero=="ok"){
              utilida = ((preciocaja - costo) / preciocaja) * 100;
        }else{
              utilida = ((preciocaja - costo) / costo) * 100;
        }



        $("#utcajaMas").val(utilida.toFixed(3));
    }

});

$("#pcajaMas").blur(function() {

    $('#pcajaMas').trigger({ type: 'keypress', which: 13 });

    console.log("listas")
});


        //calcular utilida frcc segun precio venta frcc3 propiedades del producto
        $("#pfrccMas").keypress(function(e) {
         
            
            if (e.which == 13) {

                let  preciocaja = $("#pfrccMas").val();
                let  costo = $("#invcostofrcp").val();
                let utilida=0;
                if(calculoFinanciero=="ok"){
                      utilida = ((preciocaja - costo) / preciocaja) * 100;
                }
                else{
                      utilida = ((preciocaja - costo) / costo) * 100;
                }

                
                $("#utFcjaMas").val(utilida.toFixed(3));
            }

        });

        $("#pfrccMas").blur(function() {

            $('#pfrccMas').trigger({ type: 'keypress', which: 13 });

        });



        // precios fracion listas segun utlidad

       
function calcularpreciofrcclista() {
    let costoca = $("#invcostofrc").val();
    let uti = $("#utFcjaMas").val();
    let ventanu=0;
if(calculoFinanciero=="ok"){

    ventanu = (costoca/(100-uti ))*100  
         
}else{
     ventanu = ((costoca / 100) * uti) + parseInt(costoca);
}
   

    ventanu=Math.round(ventanu / 50) * 50;
    $("#pfrccMas").val(ventanu);

}

$("#utFcjaMas").keypress(function(e) {

    if (e.which == 13) {
        
        calcularpreciofrcclista();

    }

});



// precios caja listas segun utlidad
        function calcularprecioCajalista() {
            let costoca = $("#invcostocaja").val();
            let uti = $("#utcajaMas").val();
            let ventanu=0;
        if(calculoFinanciero=="ok"){
        
            ventanu = (costoca/(100-uti ))*100  
                 
        }else{
             ventanu = ((costoca / 100) * uti) + parseInt(costoca);
        }
           
        
            ventanu=Math.round(ventanu / 50) * 50;
            $("#pcajaMas").val(ventanu);
        
        }
        
        $("#utcajaMas").keypress(function(e) {
        
            if (e.which == 13) {
                
                calcularprecioCajalista();
        
            }
        
        });